#include <iostream>
#include <string>
#include <stdio.h>

using namespace std;

const int I = 1;
const int V = 5;
const int X = 10;
const int L = 50;
const int C = 100;
const int D = 500;
const int M = 1000;

int parsechar(char c) {
  switch (c) {
    case 'i': return I;
    case 'v': return V;
    case 'x': return X;
    case 'l': return L;
    case 'c': return C;
    case 'd': return D;
    case 'm': return M;
    default: return 0;
  }
}

long parseroman(string s)
{
  long out = 0; 
 
  for (int i = 0; i < s.size(); i++)
    out += parsechar(s[i]);
  
  return out;  
}

int findnext(int pos, string s, char c)
{
  pos++;
  while ((pos < s.size()) && (s[pos] != c)) 
    pos++;
    
  if (pos >= s.size())
    return -1;
  else
    return pos;
}

string parse(string s)
{
  string out = "";
  
  for (unsigned int i = 0; i < s.size(); i++)
  {
    char c = s[i];
    if ((c == 'm') || (c == 'd') || (c == 'c') || (c == 'l') || (c == 'x') || (c == 'v') || (c == 'i'))
      out += c;
  }
  
  return out;
}

long simplify(string s)
{
  
  long out = 0;
  
  int pos = -1;
  
  bool end = false;
  
  while (!end)
  {
    int pom = findnext(pos,s,'m');
    if (pom == -1)
      end = true;
    else {
      pos = pom;
      out += 1000;
    }
  }
  
  end = false;
  int count = 0;
  while (!end)
  {
    int pom = findnext(pos,s,'d');
    if (pom == -1)
      end = true;
    else {
      count++;
      pos = pom;
      if (count == 1)
        out += 500;
    }
  }
  
  end = false;
  count = 0;
  while (!end)
  {
    int pom = findnext(pos,s,'c');
    if (pom == -1)
      end = true;
    else {
      count++;
      pos = pom;
      if (count <= 3)
        out += 100;
      else if ((count == 4) && (s[pos-1]) == 'x')
        out += 90;
    }
  }
  
  end = false;
  count = 0;
  while (!end)
  {
    int pom = findnext(pos,s,'l');
    if (pom == -1)
      end = true;
    else {
      count++;
      pos = pom;
      if (count == 1)
        out += 50;
    }
  }
  
  end = false;
  count = 0;
  while (!end)
  {
    int pom = findnext(pos,s,'x');
    if (pom == -1)
      end = true;
    else {
      count++;
      pos = pom;
      if (count <= 3)
        out += 10;
      else if ((count == 4) && (s[pos-1]) == 'i')
        out += 9;
    }
  }
  
  end = false;
  count = 0;
  while (!end)
  {
    int pom = findnext(pos,s,'v');
    if (pom == -1)
      end = true;
    else {
      count++;
      pos = pom;
      if (count == 1)
        out += 5;
    }
  }
  
  end = false;
  count = 0;
  while (!end)
  {
    int pom = findnext(pos,s,'i');
    if (pom == -1)
      end = true;
    else {
      count++;
      pos = pom;
      if (count <= 3)
        out += 1;
    }
  }
  
  return out;
}

string undupl(string s)
{
  int i = 0;
  int v = 0;
  int x = 0;
  int l = 0;
  int c = 0;
  int d = 0;
  int m = 0;
  
  for (int j = 0; j < s.size(); j++)
    switch (s[j])
    {
      case 'i': i++; break;
      case 'v': v++; break;
      case 'x': x++; break;
      case 'l': l++; break;
      case 'c': c++; break;
      case 'd': d++; break;
      case 'm': m++; break;
    }
  
  string out = "";
  
  for (int j = 0; j < m; j++)
    out += 'm';
  
  if (d >= 1)
    out += 'd';
    
  for (int j = 0; (j < 3) && (j < c); j++)
    out += 'c';
    
  if (l >= 1)
    out += 'l';
     
  for (int j = 0; (j < 3) && (j < x); j++)
    out += 'x';
    
  if (v >= 1)
    out += 'v';
  
  for (int j = 0; (j < 3) && (j < i); j++)
    out += 'i';
    
  return out;
}



int main()
{
  string line;
  
  char *c=NULL;
  size_t delka = 10000;
  
  while (getline(&c, &delka, stdin) != -1)
  {
    line = c;
    string rline = parse(line);
    long roman = simplify(rline);
    cout << roman << endl;
  } 
}